<template lang="html">
  <v-card>
    <v-card-title>{{ details.description }}</v-card-title>
    <v-card-subtitle>{{ details.hash }}</v-card-subtitle>

    <v-card-text>
      <v-list>
        <v-list-item>
          <v-list-item-title>State</v-list-item-title>

          <v-list-item-subtitle>
            {{ state }}
          </v-list-item-subtitle>
        </v-list-item>

        <v-list-item>
          <v-list-item-title>Snapshot</v-list-item-title>

          <v-list-item-subtitle>
            {{ snapshot }}
          </v-list-item-subtitle>
        </v-list-item>

        <v-list-item>
          <v-list-item-title>Deadline</v-list-item-title>

          <v-list-item-subtitle>
            {{ deadline }}
          </v-list-item-subtitle>
        </v-list-item>
      </v-list>
    </v-card-text>
  </v-card>
</template>

<script>
import { getGovernor } from "@/helpers/contracts/governance";

export default {
  name: "ItemDetails",
  data() {
    return {
      deadline: null,
      snapshot: null
    }
  },
  props: [
    "details",
    "state"
  ],
  async created() {
    const governor = getGovernor();

    this.snapshot = await governor.proposalSnapshot(this.details.hash);
    this.deadline = await governor.proposalDeadline(this.details.hash);
  }
}
</script>
